For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
AI Hub
OverviewApp editorFlow editorAdminAPI & SDK
OverviewApp editorFlow editorAdminAPI & SDK
  • Overview
    • Using the API and SDK
    • Authorization
    • Response statuses
  • API & SDK guides
    • Run automation apps by SDK
  • API reference
      • POSTCreate secret
      • GETList secrets
      • PATCHUpdate secret
      • DELDelete secret
  • Legacy APIs
    • Job status
    • Run apps
    • Run results
    • Mount
AI Hub
API referenceSecrets

Delete secret

DELETE
https://aihub.instabase.com/api/v2/aihub/secrets
DELETE
/api/v2/aihub/secrets
$curl -X DELETE "${API_ROOT}/v2/aihub/secrets" \
> -H "Authorization: Bearer ${API_TOKEN}" \
> -H "IB-Context: ${IB_CONTEXT}" \
> -H "Content-Type: application/json" \
> -d '{
> "alias": "my_secret"
> }'
200Deleted
1{}
Delete a secret from the organization. <Note>Only organization admins can delete secrets.</Note>
Was this page helpful?
Previous

Read file

Next
Built with

Delete a secret from the organization.

Only organization admins can delete secrets.

Authentication

AuthorizationBearer
Bearer HTTP authentication.

Headers

IB-ContextstringOptional

Typically your organization ID. See Authorization and context identification for details.

Request

This endpoint expects an object.
aliasstringRequired
Name of the secret to delete.

Response

Secret deleted successfully.